Bug 1283973 - "man xmllint" should include all shell commands [NEEDINFO]
"man xmllint" should include all shell commands
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libxml2 (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Daniel Veillard
qe-baseos-tools
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 07:25 EST by Thom Carlin
Modified: 2017-09-14 07:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nforro: needinfo? (veillard)


Attachments (Terms of Use)
Proposed patch (2.68 KB, patch)
2016-11-01 07:09 EDT, Nikola Forró
no flags Details | Diff

  None (edit)
Description Thom Carlin 2015-11-20 07:25:33 EST
Description of problem:

Commands found in xmllint shell help that aren't in corresponding man page

Version-Release number of selected component (if applicable):

6.7

How reproducible:

100%

Steps to Reproduce:
1. Compare "xmllint --shell xml_file", help with "man xmllint"
2.
3.

Actual results:

Differing commands

Expected results:

Same commands

Additional info:

List:
setbase URI
set xml_fragment
xpath expr
setns nsreg
setrootns
whereis
relaxng rng
grep string
Comment 2 Nikola Forró 2016-11-01 07:09 EDT
Created attachment 1216068 [details]
Proposed patch

Note You need to log in before you can comment on or make changes to this bug.